[debian-users 00675] 同じソースパッケージからビルドされるバイナリパッケージのバージョンの不一致

Yasuhiro KIMURA yasu @ utahime.org
2020年 9月 14日 (月) 13:48:22 JST


木村です。

Unstableで、同一のソースパッケージから生成される複数のバイナリパッケー
ジの間で、最新バージョンに不一致が発生している状況というのは、どういっ
たことが原因で起きるものなのでしょうか。

質問の背景としては、Unstable amd64な環境で先月上旬からpython2関連のパッ
ケージの更新が保留され続けていて、その原因を調べているうちに
python-defaultsというソースパッケージからビルドされる複数のバイナリパッ
ケージ間に最新バージョンの不一致が発生していることを発見しました。

具体的には、python-defaultsの最新パッケージは2.7.18-2なのですが、そこ
からビルドされるバイナリパッケージのうち、

* libpython2-stdlib
* python2
* python2-minimail

などの最新バージョンはソースパッケージと同じ2.7.18-2なのですが、

* libpython-stdlib
* python
* python-minimail

などの最新バージョンは何故か2.7.17-2のままになっています。

python-defaultsに関するバグ報告を調べたところ、以下のようなバグ報告を
見つけたのですが、今のところメンテナやその他の人からの反応は無いようで
す。

Debian Bug report logs - #968042
upgrading packet python2 from 2.7.17-2 up to 2.7.18-2 asks packets
deletion
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=968042

ソースパッケージが受理された後、どのようにバイナリパッケージがビルドさ
れてUnstableとしてアップロードされるかの詳細は理解していないのですが、
この場合はpython-defaultsソースパッケージのバグということになるのでしょ
うか。それとも何らかの理由で、ビルドされたバイナリパッケージの一部のアッ
プロードが保留または拒絶されているのでしょうか。

---
木村 康浩


debian-users メーリングリストの案内